:root{
    /*Colores*/
    --color_Black: #000000;
    --color_White: #FFFFFF;
    --color_VistaPremium: #011736;
    --color_SoftPremium: #abd0fa;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-size: 62.5%;
    font-family: 'DM Sans', sans-serif;	
	max-width: 2000px;
	margin: 0 auto;
	background-color: black;
}

body {
	background-color: white;
}

/*Encabezado*/

header {
    padding-top: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    min-width: 320px;
    height: 250px;
    text-align: center;
    background: linear-gradient(207.8deg, #000000 16.69%, #011736 100%);
}

header img {
    width: 150px;
    height: auto;  
    align-self: center;
}

.header--tittle-container {
    width: 90%;
    min-width: 288px;
    max-width: 900px;
    height: 218px;
    text-align: center;
    align-self: center;
}

.header--tittle-container h1 {
    font-size: 2.4rem;
    font-weight: bold;
    line-height: 2.6rem;
    color: var(--color_White);
    padding-top: 20px;
    padding-bottom: 40px;
}

/* main */

main {
    width: 100%;
    min-width: 320px;
    height: auto;
    padding: 20px;   
    font-family: "Inter", sans-serif;
}

main .container--grid-button {
    width: 90%;
    min-width: 280px;
    max-width: 500px;
    height: auto;
    padding: 25px;
    margin: 0 auto;
    padding-bottom: 0; 
}

section h2 {
    margin-bottom: 15px;
    font-size: 1.8rem;
    font-weight: bold;
    line-height: 2.3rem;
    color: var(--color_VistaPremium);
    text-align: center;
}

main .intro-container {
    position: relative;
    width: 90%;
    min-width: 280px;
    height: auto;
    padding: 25px;
    margin: 0 auto;
    padding-bottom: 0; 
}

.intro-container p {
    margin-bottom: 100px;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.6rem;
    color: #757575;
}

.intro-container .aiapp {
    position: absolute;
    cursor: pointer;
    height: 60px;
    width: 250px;
    display: inline-block;
    padding: 10px;
    box-shadow: 0px 4px 8px rgba(89, 73, 30, 0.16);
    border: 2px solid var(--color_SoftPremium);
    border-radius: 20px;
    font-size: 1.4rem;
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    background-color: #01081a;
    color: var(--color_White);
    margin-bottom: 20px;
    margin-top: 20px;
    left: calc(50% - 125px);
    top: calc(105%);
}

.grid-link {    
    cursor: pointer;
    height: 70px;
    width: 100%;
    display: inline-block;
    padding: 10px;
    box-shadow: 0px 4px 8px rgba(89, 73, 30, 0.16);
    border: 2px solid var(--color_SoftPremium);
    border-radius: 20px;
    font-size: 1.4rem;
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    align-content: center;
    color: var(--color_VistaPremium);
    margin-bottom: 20px;
}

/* Lens' Icons */

.container--grid-button .lensicon-container {
    display: inline-block;
    margin-bottom: 20px;    
    width: 100%;
    height: 40px;
    text-align: center;
}

.lensicon-container .lensicon {
    display: inline-block;
    width: 20px;
    height: 20px;    
    margin: 10px;      
    background-size: cover;
}

.lensicon-container .g-bco {
    background-image: url('../assets/icons/LensIcons/OrgBco.png');
}

.lensicon-container .g-bcoar {
    background-image: url('../assets/icons/LensIcons/OrgBcoAR.png');   
}

.lensicon-container .g-antiage {
    background-image: url('../assets/icons/LensIcons/Antiage.png');   
}

.lensicon-container .g-blc {
    background-image: url('../assets/icons/LensIcons/BLC.png');   
}

.lensicon-container .g-blc167 {
    background-image: url('../assets/icons/LensIcons/BLC167.png');
}

.lensicon-container .g-foto {
    background-image: url('../assets/icons/LensIcons/OrgFoto.png');
}

.lensicon-container .g-fotoar {
    background-image: url('../assets/icons/LensIcons/OrgFotoAR.png');
}

.lensicon-container .g-blcfoto {
    background-image: url('../assets/icons/LensIcons/PhotoBLC.png');
}

.lensicon-container .g-blcfoto160 {
    background-image: url('../assets/icons/LensIcons/PhotoBLC160.png');
}

.intro-container .aiapp:hover {
    background-color: #0c2563;
}

.container--grid-button .bco:hover {
    background-color: #fff3fb;
}

.container--grid-button .bcoar:hover {
    background-color: #cbe7fd;
}

.container--grid-button .antiage:hover {
    background-color: #dbffe4;
}

.container--grid-button .blc:hover {
    background: linear-gradient(207.8deg, #BDF0FF 16.69%, #BDC7FF 100%);
}

.container--grid-button .blc167:hover {
    background: linear-gradient(207.8deg, #FF91E9 16.69%, #FFDDBA 100%);
}

.container--grid-button .foto:hover {
    background: linear-gradient(207.8deg, #FCE6FC 16.69%, #E6E3E6 100%);
}

.container--grid-button .fotoblc:hover {
    background: linear-gradient(207.8deg, #BDC7FF 16.69%, #c5c4d8 100%);
}

.container--grid-button .fotoblc160:hover {
    background-color: #ffdecb;
}

.return-section {
    width: 100%;
    padding-top: 30px;
    text-align: center;
}

.return-section a {
    cursor: pointer;
    display: inline-block;
    font-size: 1.4rem;
    line-height: 1.6rem;
    color: var(--color_Black);
    font-weight: bold;
    text-decoration: none;
    width: 250px;
    height: 50px;
    margin: 15px;
    padding: 15px;
    background-color: var(--color_SoftPremium);
    box-shadow: 0px 4px 8px rgba(89, 73, 30, 0.16);    
    border-radius: 15px;    
    text-align: center;
}

.return-section a:hover {
    background-color: #d8f0fc;
}

/* Footet */

footer {
    display: flex;
    width: 100%;
    min-width: 320px;
    height: 150px;
    background: linear-gradient(207.8deg, #000000 16.69%, #011736 100%);
}

footer section {
    display: flex;
    width: 50%;
    justify-content: center;
    align-items: center;
}

footer .left ul {
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.8rem;
    list-style: none;
}

.left li {
    margin: 10px 0;
}

.left a {
    text-decoration: none;
    color: var(--color_White);
}

.right img {
    width: 100px;
    height: auto;
}

/* Extra styles for gallery */

/* El modal: fondo negro y centrado absoluto */
.modal {
    display: none; 
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.9);
    overflow: auto; /* Permite scroll si la imagen es grande */
}

.modal-content-container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    min-height: 100%;
	width: 100%;
    padding: 40px 20px;
}

/* La imagen */
#imgModalTarget {
    max-width: 100%;
    height: auto;
    cursor: zoom-in;
    transition: all 0.5s ease;
}


#imgModalTarget.zoomed {
    max-width: none;
    width: 1200px;
    cursor: zoom-out;
}

.close-modal {
    position: fixed;
    top: 20px;
    right: 30px;
    color: white;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    z-index: 1001;
}

.close-modal:hover {
    color: #bbb;
}

@media (min-width: 650px) {
    #imgModalTarget.zoomed {
        width: 1600px;
    }
}